

module counter_tb();
 	// Bementeket reg-nek kimeneteket wire-nek kell deklaralni
 	reg clk, res;
 	wire [3:0] Q;
 	// Valtozok kezdoereteke
 	initial
	begin
 		$vw_dumpfile("hf1counter.vwf"); // a wave (idodoagram) file neve
 	    $vw_dumpvars;
 	  	clk = 1; 	// a clock kezdeti erteke
 	  	res = 0; 	// a reset kezdeti erteke
 	  	#5 res = 1; 	// reset kezdete
 	  	#10 res = 0; 	// reset vege
 	  	
 	  	#200 
 	  	$dumpoff;
		$finish; 	// szimulacio vege
 	end
 	// Clock generator
 	always begin
 	  	#5 clk = ~clk; 	// oreajel periodusido 2x5 egyseg
 	end
 	
// A tesztelendo modul osszekapcsolasa a tesztelovel
// a bemenetek es kimenetek felsorolasat azonos sorendben kell!
 	counter U_counter (res,clk,Q);
 	endmodule